Template:IMS Document control/styles.css: Difference between revisions

Mwilliams (talk | contribs)
No edit summary
hwmlr>Unknown user
m 1 revision imported
Line 1: Line 1:
/* ########################################
/*set focus outline */
###  Styles for template and form:IMS Document control  ###
######################################## */
/*set focus outline */
#doccontrol-container a:focus, #doccontrol-container  div:focus {outline:1px solid #3e5389}
#doccontrol-container a:focus, #doccontrol-container  div:focus {outline:1px solid #3e5389}
/*Flex container */
.smwinfobox-flexcontainer {
.smwinfobox-flexcontainer {
display:flex;
display: flex;
justify-content:space-between;
justify-content: space-between;
background: white;
background: white;
    box-shadow: 1px 2px 6px rgba(59, 59, 59,0.15);
box-shadow: 1px 2px 6px rgba(59,59,59,0.15);
  border: 1px solid #efefef;
border: 1px solid #efefef;
    flex-wrap:wrap;
flex-wrap: wrap;
    margin: 0 0 28px 0;
margin: 0 0 28px 0;
    padding-bottom:10px;
padding-bottom: 10px;
}
}
.smwinfobox-flexcontainer div {
.smwinfobox-flexcontainer div {
flex-basis:50%;
flex-basis: 50%;
}
}
.smwinfobox-flexcontainer div.editlink {
.smwinfobox-flexcontainer div.editlink {
text-align:right;
text-align: right;
margin:0;
margin: 0;
padding:8px 8px 0 0;
padding: 8px 8px 0 0;
flex-basis:100%;
flex-basis: 100%;
font-size:0.85em;
font-size: 0.85em;
}
}
.smwinfobox-flexcontainer div.editlink i[class^="icon-"]::before,.smwinfobox-flexcontainer div.editlink i[class*=" icon-"]::before,.smwinfobox-flexcontainer div.editlink i[class^="bs-icon-"]::before,.smwinfobox-flexcontainer div.editlink i[class*=" bs-icon-"]::before {
.smwinfobox-flexcontainer div.editlink i[class^="icon-"]::before, .smwinfobox-flexcontainer div.editlink i[class*=" icon-"]::before, .smwinfobox-flexcontainer div.editlink i[class^="bs-icon-"]::before, .smwinfobox-flexcontainer div.editlink i[class*=" bs-icon-"]::before {
padding-right:0;
padding-right: 0;
}
}
.infobox-table {
.infobox-table {
margin:0 10px;  
margin: 0 10px;
width:92%;
width: 92%;
background: white;
background: white;
text-align: left;
text-align: left;
Line 50: Line 46:
vertical-align: top;
vertical-align: top;
}
}
/* Variation "classic" without drop-shadow, but with lines  */
.smwinfobox-flexcontainer.classic {
.smwinfobox-flexcontainer.classic {
border:1px solid #dbdbdb;
border: 1px solid #dbdbdb;
box-shadow:none;
box-shadow: none;
}
}
.classic table.infobox-table tr > th, .classic table.infobox-table tr > td {
.classic table.infobox-table tr > th, .classic table.infobox-table tr > td {
border:0; border-bottom: 1px solid #dbdbdb; padding:4px;
border: 0;
border-bottom: 1px solid #dbdbdb;
padding: 4px;
}
.smwinfobox-flexcontainer.bg, .smwinfobox-flexcontainer.bg table.infobox-table tr>th, .smwinfobox-flexcontainer.bg table.infobox-table tr>td {
background: #efefef;
}
.bs-universalexport-exportexclude {
background: none;
}
.aligninputbox .mw-inputbox-centered {
text-align: left;
margin: 20px 0 40px 0;
}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode {
display: block;
}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode .editlink, .smwinfobox-flexcontainer.ve-ce-mwTransclusionNode .infobox-table {
display: none;
}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode::after {
content: "Infobox - please do not delete. This information needs to be updated in forms mode. Don't write above this box";
color: #c14242;
}
.formtable td {
padding: 0.5em 0;
}
.formtable th {
vertical-align: middle;
width: 12em;
}
.mw-ui-input {
width: auto;
padding: 6px;
border: 1px solid #a2a9b1;
}
.mw-ui-button {
line-height: 20px;
background-color: #36c;
color: white;
vertical-align: inherit;
padding: 7px;
}
.mw-ui-button:hover {
background-color: #447ff5;
color: white;
}
/*tables */
table.wikitable > tr > th, table.wikitable > tr > td, table.wikitable > * > tr > th, table.wikitable > * > tr > td {
border: 1px solid #cfcfcf;
padding: 0.5em 0.4em;
}
}
 
th sup {
/* -bg class can be combined with standard box and with variation "classic" */
display: none;
.smwinfobox-flexcontainer.bg, .smwinfobox-flexcontainer.bg table.infobox-table tr>th, .smwinfobox-flexcontainer.bg table.infobox-table tr>td
{
background:#efefef;
}
}
/*mobile view*/
table.wikitable {
@media only screen and (max-width: 1000px)
color: #444;
{
.smwinfobox-flexcontainer {
flex-wrap:wrap;
margin: 0 5px 28px 3px;
}
}
.smwinfobox-flexcontainer div {
.jquery-tablesorter th.Status {
flex-basis:100%;
background-image: none;
}
}
body .smwinfobox-flexcontainer .hw-responsive-table-scrollable {
table.jquery-tablesorter > * > tr > th {padding-right:1.2em!important} /*wikitable sortable - padding before arrows*/
overflow-x:hidden !important;
table td.Status {
text-align: center;
}
}
.smwtable-clean tr > th {
text-align: left;
}
}


@media only screen and (max-width: 600px)
.fullwidth {width:100%}
{
ul.standardslist {
margin: 0.3em 0 0;
list-style: none;
}
.subobject {
height: 0;
overflow: hidden;
}
.IMSforminput {
display: flow-root;
margin-bottom: 40px;
}
.IMSforminput .oo-ui-textInputWidget {
.IMSforminput .oo-ui-textInputWidget {
    width: 100%;
width: 25em;
}
.smwinfobox-flexcontainer .mw-collapsible > div {
display: flex;
}
.smwinfobox-flexcontainer div.mw-collapsible {
flex-basis: 100%;
}
.bs-collapsible .mw-collapsible-toggle {
background: #f1f3f9;
font-size: 0.9em;
padding: 2px 1.2em;
width: 100%;
justify-content: flex-end;
}
.bs-collapsible .mw-collapsible-toggle::before {
font-family: bootstrap-icons !important;
vertical-align: middle;
margin-right: 8px;
}
.bs-collapsible .mw-collapsible-toggle[aria-expanded="false"]::before {
content: "\F285";
}
.bs-collapsible .mw-collapsible-toggle[aria-expanded="true"]::before {
content: "\F282";
}
.bs-collapsible .mw-collapsible-content {
width: 100%;
}
#doccontrol-container.ve-ce-leafNode::before {
content: "Dokumentenlenkungsbox - bitte nicht löschen! Diese Information wird über Formular gepflegt. Keine Inhalte oberhalb dieser Box einfügen.";
background: #f9ded8;
padding: 4px;
display: block;
}
#doccontrol-container.ve-ce-leafNode .bs-universalexport-exportexclude, #doccontrol-container.ve-ce-leafNode .bs-collapsible, #doccontrol-container.ve-ce-leafNode .smwinfobox-flexcontainer {
display: none;
}
.smwinfobox-flexcontainer .standardsoutput {
margin-bottom: 0.6em;
}
}
.smwinfobox-flexcontainer .aa-output ul {
list-style: none;
margin-left: 0;
}
}
 
.smwinfobox-flexcontainer .aa-output li {
.bs-universalexport-exportexclude {
margin-bottom: 0.6em;
    background: none;
}
}
.aligninputbox .mw-inputbox-centered {
.IMSgrid .smw-subobject-entity a {
    text-align:left;
font-style: normal;
    margin: 20px 0 40px 0;
}
}
/*hiding the IMS Infobox in VE-Edit mode*/
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode  {display:block}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode .editlink, .smwinfobox-flexcontainer.ve-ce-mwTransclusionNode .infobox-table{display:none}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode::after {content:"Infobox - please do not delete. This information needs to be updated in forms mode. Don't write above this box"; color:#c14242;}
/* ####################################
###  Styles for Forms  ###
#################################### */
.formtable td {padding:0.5em 0;}
.formtable th {vertical-align: middle; width: 12em;}
.mw-ui-input {width:auto; padding: 6px;border: 1px solid #a2a9b1; }
.mw-ui-button {line-height:20px; background-color:#36c; color:white; vertical-align:inherit; padding:7px;}
.mw-ui-button:hover {background-color:#447ff5; color:white;}
/* ####################################
###  Styles for Resultstable broadtable  ###
#################################### */
table.wikitable > tr > th, table.wikitable > tr > td, table.wikitable > * > tr > th, table.wikitable > * > tr > td {border: 1px solid #cfcfcf; padding: 0.5em 0.4em;}
th sup {display:none;}
table.wikitable {color: #444;}
table.jquery-tablesorter th.Status {background-image:none}
table td.Status {text-align:center}
table.wikitable {color: #444;}
table.jquery-tablesorter th.Status {background-image:none}
table td.Status {text-align:center}
.smwtable-clean tr > th {
    text-align: left;}
ul.standardslist {margin: 0.3em 0 0;list-style: none;}
/*giving subobjects 0 space */
.subobject {height:0;overflow:hidden;}
/*Forminput width on rollup pages*/
.IMSforminput {display:flow-root; margin-bottom:40px}
.IMSforminput  .oo-ui-textInputWidget {width:25em}
.smwinfobox-flexcontainer .mw-collapsible > div {display: flex;}
.smwinfobox-flexcontainer div.mw-collapsible {flex-basis:100%; }
.bs-collapsible .mw-collapsible-toggle {background:#f1f3f9;font-size:0.9em; padding:2px 1.2em; width:100%;    justify-content: flex-end;}
.bs-collapsible .mw-collapsible-toggle::before {font-family:bootstrap-icons !important; vertical-align:middle; margin-right:8px}
.bs-collapsible .mw-collapsible-toggle[aria-expanded="false"]::before { content:"\F285";}
.bs-collapsible .mw-collapsible-toggle[aria-expanded="true"]::before { content:"\F282";}
.bs-collapsible .mw-collapsible-content {width:100%}
/*hiding the IMS Infobox in VE-Edit mode*/
#doccontrol-container.ve-ce-leafNode::before {content:"Dokumentenlenkungsbox - bitte nicht löschen! Diese Information wird über Formular gepflegt. Keine Inhalte oberhalb dieser Box einfügen."; background:  #f9ded8; padding:4px; display:block}
#doccontrol-container.ve-ce-leafNode .bs-universalexport-exportexclude, #doccontrol-container.ve-ce-leafNode .bs-collapsible, #doccontrol-container.ve-ce-leafNode .smwinfobox-flexcontainer  {display:none}
/*display of standards*/
.smwinfobox-flexcontainer .standardsoutput {margin-bottom:0.6em}
/*display of work instructions*/
.smwinfobox-flexcontainer .aa-output ul {list-style: none; margin-left: 0;}
.smwinfobox-flexcontainer .aa-output li {margin-bottom:0.6em}
/*overview pages*/
.IMSgrid .smw-subobject-entity a {font-style:normal;}
#IMSboard-nav {
#IMSboard-nav {
    margin-top:-1em;  
margin-top: -2.3em;
    padding-bottom:5px;
padding-bottom: 5px;
    border-bottom:1px solid #dfdfdf
border-bottom: 1px solid #dfdfdf;
}
}
#IMSboard-nav a {
#IMSboard-nav a {
    padding: 2em 1em
padding: 2em 1em;
}
}
#IMSboard-nav a:first-of-type {
#IMSboard-nav a:first-of-type {
    padding-left:0.4em
padding-left: 0.4em;
}
}
#IMSboard-nav a.selflink, #IMSnormen-nav a.selflink {
#IMSboard-nav a.selflink, #IMSnormen-nav a.selflink {
    text-decoration:none;  
text-decoration: none;
    color:#444;  
color: #444;
    font-weight:bold
font-weight: bold;
}
#IMSnormen-nav {
padding-top: 20px;
}
}
#IMSnormen-nav {padding-top:20px}
.IMSgrid .x-column-header-text-inner {
.IMSgrid .x-column-header-text-inner {
    font-size: 1.1em;  
font-size: 1.1em;
    color: #444;  
color: #444;
    font-weight: bold;
font-weight: bold;
}
}
.noheight {
.noheight {
    height:0px;  
height: 0;
    overflow:hidden
overflow: hidden;
}
.IMSgrid .containerfilter .oo-ui-textInputWidget.oo-ui-widget-enabled .oo-ui-inputWidget-input {
width: 30em;
margin-bottom: 10px;
}
.containerfilter .oo-ui-textInputWidget {
max-width: 30em;
}
#mw-content-text .IMSgrid a:not([class*="oo-ui-"]), .largefont [class^="mw-content-"] a:not([class*="oo-ui-"]), .IMSgrid .x-grid-cell-inner {
font-size: 0.9rem;
}
.IMSforminput {
background: #efefef;
padding: 0 10px;
}
.IMSforminput button span, .IMSforminput .oo-ui-textInputWidget .oo-ui-inputWidget-input {
font-size: 0.9em;
}
}
.IMSgrid .containerfilter .oo-ui-textInputWidget.oo-ui-widget-enabled .oo-ui-inputWidget-input {width:30em; margin-bottom:10px}
@media only screen and (max-width: 1000px) {
.containerfilter .oo-ui-textInputWidget { max-width: 30em;}
.smwinfobox-flexcontainer {
#mw-content-text .IMSgrid a:not([class*="oo-ui-"]),
flex-wrap: wrap;
.largefont [class^="mw-content-"] a:not([class*="oo-ui-"]),
margin: 0 5px 28px 3px;
.IMSgrid .x-grid-cell-inner {
}
    font-size: 0.9rem;
.smwinfobox-flexcontainer div {
flex-basis: 100%;
}
body .smwinfobox-flexcontainer .hw-responsive-table-scrollable {
overflow-x: hidden !important;
}
}
}


.IMSforminput {
@media only screen and (max-width: 600px)
     background:#efefef;  
{
    padding:0 10px
.IMSforminput .oo-ui-textInputWidget {
     width: 100%;
}
}
.IMSforminput  button span,
.IMSforminput .oo-ui-textInputWidget .oo-ui-inputWidget-input {
    font-size:0.9em
}
}

Revision as of 07:34, 2 May 2025

	/*set focus outline */
#doccontrol-container a:focus, #doccontrol-container  div:focus {outline:1px solid #3e5389}
.smwinfobox-flexcontainer {
	display: flex;
	justify-content: space-between;
	background: white;
	box-shadow: 1px 2px 6px rgba(59,59,59,0.15);
	border: 1px solid #efefef;
	flex-wrap: wrap;
	margin: 0 0 28px 0;
	padding-bottom: 10px;
}
.smwinfobox-flexcontainer div {
	flex-basis: 50%;
}
.smwinfobox-flexcontainer div.editlink {
	text-align: right;
	margin: 0;
	padding: 8px 8px 0 0;
	flex-basis: 100%;
	font-size: 0.85em;
}
.smwinfobox-flexcontainer div.editlink i[class^="icon-"]::before, .smwinfobox-flexcontainer div.editlink i[class*=" icon-"]::before, .smwinfobox-flexcontainer div.editlink i[class^="bs-icon-"]::before, .smwinfobox-flexcontainer div.editlink i[class*=" bs-icon-"]::before {
	padding-right: 0;
}
.infobox-table {
	margin: 0 10px;
	width: 92%;
	background: white;
	text-align: left;
	font-size: 13px;
}
table.infobox-table tr > th {
	text-align: left;
	background: white;
	padding: 6px;
	border-style: hidden;
	white-space: nowrap;
	vertical-align: top;
	width: 14em;
}
table.infobox-table tr > td {
	padding: 6px;
	background: white;
	border-style: hidden;
	vertical-align: top;
}
.smwinfobox-flexcontainer.classic {
	border: 1px solid #dbdbdb;
	box-shadow: none;
}
.classic table.infobox-table tr > th, .classic table.infobox-table tr > td {
	border: 0;
	border-bottom: 1px solid #dbdbdb;
	padding: 4px;
}
.smwinfobox-flexcontainer.bg, .smwinfobox-flexcontainer.bg table.infobox-table tr>th, .smwinfobox-flexcontainer.bg table.infobox-table tr>td {
	background: #efefef;
}
.bs-universalexport-exportexclude {
	background: none;
}
.aligninputbox .mw-inputbox-centered {
	text-align: left;
	margin: 20px 0 40px 0;
}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode {
	display: block;
}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode .editlink, .smwinfobox-flexcontainer.ve-ce-mwTransclusionNode .infobox-table {
	display: none;
}
.smwinfobox-flexcontainer.ve-ce-mwTransclusionNode::after {
	content: "Infobox - please do not delete. This information needs to be updated in forms mode. Don't write above this box";
	color: #c14242;
}
.formtable td {
	padding: 0.5em 0;
}
.formtable th {
	vertical-align: middle;
	width: 12em;
}
.mw-ui-input {
	width: auto;
	padding: 6px;
	border: 1px solid #a2a9b1;
}
.mw-ui-button {
	line-height: 20px;
	background-color: #36c;
	color: white;
	vertical-align: inherit;
	padding: 7px;
}
.mw-ui-button:hover {
	background-color: #447ff5;
	color: white;
}
/*tables */
table.wikitable > tr > th, table.wikitable > tr > td, table.wikitable > * > tr > th, table.wikitable > * > tr > td {
	border: 1px solid #cfcfcf;
	padding: 0.5em 0.4em;
}
th sup {
	display: none;
}
table.wikitable {
	color: #444;
}
.jquery-tablesorter th.Status {
	background-image: none;
}
table.jquery-tablesorter > * > tr > th {padding-right:1.2em!important} /*wikitable sortable - padding before arrows*/
table td.Status {
	text-align: center;
}
.smwtable-clean tr > th {
	text-align: left;
}

.fullwidth {width:100%}
ul.standardslist {
	margin: 0.3em 0 0;
	list-style: none;
}
.subobject {
	height: 0;
	overflow: hidden;
}
.IMSforminput {
	display: flow-root;
	margin-bottom: 40px;
}
.IMSforminput .oo-ui-textInputWidget {
	width: 25em;
}
.smwinfobox-flexcontainer .mw-collapsible > div {
	display: flex;
}
.smwinfobox-flexcontainer div.mw-collapsible {
	flex-basis: 100%;
}
.bs-collapsible .mw-collapsible-toggle {
	background: #f1f3f9;
	font-size: 0.9em;
	padding: 2px 1.2em;
	width: 100%;
	justify-content: flex-end;
}
.bs-collapsible .mw-collapsible-toggle::before {
	font-family: bootstrap-icons !important;
	vertical-align: middle;
	margin-right: 8px;
}
.bs-collapsible .mw-collapsible-toggle[aria-expanded="false"]::before {
	content: "\F285";
}
.bs-collapsible .mw-collapsible-toggle[aria-expanded="true"]::before {
	content: "\F282";
}
.bs-collapsible .mw-collapsible-content {
	width: 100%;
}
#doccontrol-container.ve-ce-leafNode::before {
	content: "Dokumentenlenkungsbox - bitte nicht löschen! Diese Information wird über Formular gepflegt. Keine Inhalte oberhalb dieser Box einfügen.";
	background: #f9ded8;
	padding: 4px;
	display: block;
}
#doccontrol-container.ve-ce-leafNode .bs-universalexport-exportexclude, #doccontrol-container.ve-ce-leafNode .bs-collapsible, #doccontrol-container.ve-ce-leafNode .smwinfobox-flexcontainer {
	display: none;
}
.smwinfobox-flexcontainer .standardsoutput {
	margin-bottom: 0.6em;
}
.smwinfobox-flexcontainer .aa-output ul {
	list-style: none;
	margin-left: 0;
}
.smwinfobox-flexcontainer .aa-output li {
	margin-bottom: 0.6em;
}
.IMSgrid .smw-subobject-entity a {
	font-style: normal;
}
#IMSboard-nav {
	margin-top: -2.3em;
	padding-bottom: 5px;
	border-bottom: 1px solid #dfdfdf;
}
#IMSboard-nav a {
	padding: 2em 1em;
}
#IMSboard-nav a:first-of-type {
	padding-left: 0.4em;
}
#IMSboard-nav a.selflink, #IMSnormen-nav a.selflink {
	text-decoration: none;
	color: #444;
	font-weight: bold;
}
#IMSnormen-nav {
	padding-top: 20px;
}
.IMSgrid .x-column-header-text-inner {
	font-size: 1.1em;
	color: #444;
	font-weight: bold;
}
.noheight {
	height: 0;
	overflow: hidden;
}
.IMSgrid .containerfilter .oo-ui-textInputWidget.oo-ui-widget-enabled .oo-ui-inputWidget-input {
	width: 30em;
	margin-bottom: 10px;
}
.containerfilter .oo-ui-textInputWidget {
	max-width: 30em;
}
#mw-content-text .IMSgrid a:not([class*="oo-ui-"]), .largefont [class^="mw-content-"] a:not([class*="oo-ui-"]), .IMSgrid .x-grid-cell-inner {
	font-size: 0.9rem;
}
.IMSforminput {
	background: #efefef;
	padding: 0 10px;
}
.IMSforminput button span, .IMSforminput .oo-ui-textInputWidget .oo-ui-inputWidget-input {
	font-size: 0.9em;
}
@media only screen and (max-width: 1000px) {
	.smwinfobox-flexcontainer {
		flex-wrap: wrap;
		margin: 0 5px 28px 3px;
	}
	.smwinfobox-flexcontainer div {
		flex-basis: 100%;
	}
	body .smwinfobox-flexcontainer .hw-responsive-table-scrollable {
		overflow-x: hidden !important;
	}
}

@media only screen and (max-width: 600px)
{
.IMSforminput .oo-ui-textInputWidget {
    width: 100%;
}
}